BN_num_bytes(3)

NAME
BN_num_bits, BN_num_bytes, BN_num_bits_word - get BIGNUM size

SYNOPSIS

 #include <openssl/bn.h>
 int BN_num_bytes(const BIGNUM *a);
 int BN_num_bits(const BIGNUM *a);
 int BN_num_bits_word(BN_ULONG w);

DESCRIPTION
These functions return the size of a BIGNUM in bytes or bits, and the size of an unsigned integer in bits.

BN_num_bytes() is a macro.

RETURN VALUES
The size.

SEE ALSO
bn(3)

HISTORY
BN_num_bytes(), BN_num_bits() and BN_num_bits_word() are available in all versions of SSLeay and OpenSSL.